Enforce Password Policy - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy
Enforce Password Policy
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy \
--header 'Authorization: Basic <encoded-value>'
import requests
url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy")
.header("Authorization", "Basic <encoded-value>")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}/enforcepasswordpolicy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body
Error Responses
400 - Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }401 - Unauthorized
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }402 - Payment Required
{ "type": "Payment Required", "title": "Payment Required Error", "status": 402, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 402, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }Additional response codes include: 403, 404, 405, 409, 413, 500, 501, 502, 503, 504.
Authorizations
Authorization
- Type: string
- Location: header
- Required: Basic Authentication used by routes designed for the Management-UI.
Headers
| Header | Type | Description |
|---|---|---|
| Accept | enum |
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json. |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| organisationId | string | Yes | The Id of the Organisation |
Response
- 204 - Successfully enforced Password Policy.